diff --git a/src/test/regress/expected/hash_index.out b/src/test/regress/expected/hash_index.out
index 0a18efa..097609b 100644
--- a/src/test/regress/expected/hash_index.out
+++ b/src/test/regress/expected/hash_index.out
@@ -200,9 +200,9 @@ SELECT h.seqno AS f20000
 -- Cause some overflow insert and splits.
 --
 CREATE TABLE hash_split_heap (keycol INT);
+INSERT INTO hash_split_heap SELECT 1 FROM generate_series(1, 500) a;
 CREATE INDEX hash_split_index on hash_split_heap USING HASH (keycol);
-INSERT INTO hash_split_heap SELECT 1 FROM generate_series(1, 70000) a;
-VACUUM FULL hash_split_heap;
+INSERT INTO hash_split_heap SELECT 1 FROM generate_series(1, 5000) a;
 -- Let's do a backward scan.
 BEGIN;
 SET enable_seqscan = OFF;
@@ -215,9 +215,8 @@ CLOSE c;
 END;
 -- DELETE, INSERT, REBUILD INDEX.
 DELETE FROM hash_split_heap WHERE keycol = 1;
-INSERT INTO hash_split_heap SELECT a/2 FROM generate_series(1, 50000) a;
+INSERT INTO hash_split_heap SELECT a/2 FROM generate_series(1, 25000) a;
 VACUUM hash_split_heap;
-REINDEX INDEX hash_split_index;
 -- Clean up.
 DROP TABLE hash_split_heap;
 -- Index on temp table.
diff --git a/src/test/regress/sql/hash_index.sql b/src/test/regress/sql/hash_index.sql
index 15a3b06..81b9b05 100644
--- a/src/test/regress/sql/hash_index.sql
+++ b/src/test/regress/sql/hash_index.sql
@@ -156,10 +156,9 @@ SELECT h.seqno AS f20000
 -- Cause some overflow insert and splits.
 --
 CREATE TABLE hash_split_heap (keycol INT);
+INSERT INTO hash_split_heap SELECT 1 FROM generate_series(1, 500) a;
 CREATE INDEX hash_split_index on hash_split_heap USING HASH (keycol);
-INSERT INTO hash_split_heap SELECT 1 FROM generate_series(1, 70000) a;
-
-VACUUM FULL hash_split_heap;
+INSERT INTO hash_split_heap SELECT 1 FROM generate_series(1, 5000) a;
 
 -- Let's do a backward scan.
 BEGIN;
@@ -175,10 +174,9 @@ END;
 
 -- DELETE, INSERT, REBUILD INDEX.
 DELETE FROM hash_split_heap WHERE keycol = 1;
-INSERT INTO hash_split_heap SELECT a/2 FROM generate_series(1, 50000) a;
+INSERT INTO hash_split_heap SELECT a/2 FROM generate_series(1, 25000) a;
 
 VACUUM hash_split_heap;
-REINDEX INDEX hash_split_index;
 
 -- Clean up.
 DROP TABLE hash_split_heap;
